import React from 'react';
import { Tab, Tabs, TabList, TabPanel } from 'react-tabs';
import styles from 'styleComponents';

const TabComponent = styles.tab(Tabs);
const map = React.Children.map;

export default class ReactTabComponent extends React.Component {
    constructor(props) {
        super(props);
    }

    computeTabs() {
        return map(this.props.children, node => {
            if (node.props.refs == 'tabNames') {
                return map(node.props.children, tabNode => React.createElement(
                    Tab,
                    null,
                    tabNode
                ));
            }
        });
    }

    computeTabPanels() {
        return map(this.props.children, node => {
            if (node.props.refs == 'tabPanels') {
                return map(node.props.children, tabNode => React.createElement(
                    TabPanel,
                    null,
                    tabNode
                ));
            }
        });
    }

    render() {
        return React.createElement(
            TabComponent,
            {
                className: 'tab-component',
                selectedIndex: this.props.selectedIndex,
                onSelect: this.props.setTabData
            },
            React.createElement(
                TabList,
                null,
                this.computeTabs()
            ),
            this.computeTabPanels()
        );
    }
}
//# sourceMappingURL=index.js.map